Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	library for DV, MPEG2 and audio streaming over IEEE1394
Name:		libiec61883
Version:	1.2.0
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://linux1394.org
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
Patch0:		libiec61883-nodebug.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libraw1394-devel

%description
The libiec61883 library provides an higher level API for streaming DV,
MPEG-2 and audio over IEEE1394.  Based on the libraw1394 isochronous
functionality, this library acts as a filter that accepts DV-frames,
MPEG-2 frames or audio samples from the application and breaks these
down to isochronous packets, which are transmitted using libraw1394.

%package devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
./configure --prefix=%_prefix \
--disable-dependency-tracking \
--mandir=%_mandir
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*
%_mandir

%files devel
%defattr(-,root,root)
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_libdir/pkgconfig
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Apr 14 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-1
- Version update
* Sun Apr 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-1
- Version update
* Wed Sep 06 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-1
- Initial Release
